import scrapy


class NovalTextSpider(scrapy.Spider):
    name = 'noval_text'
    allowed_domains = ['qu.la']
    start_urls = ['https://www.qu.la/book/68/2675800.html']

    def parse(self, response):
        title = response.xpath('//div[@class="reader-main"]/h1/text()').extract_first()
        article = "".join(response.xpath('//div[@class="content"]/text()').extract()).replace('　　　　    ','\n').strip()
        next_url = response.xpath('//div[@class="section-opt"]/a[3]/@href').extract_first()
        yield {
            'title': title,
            'article': article
        }
        yield scrapy.Request(response.urljoin(next_url), callback=self.parse)
